# class KFileViewSignaler | internal class to make easier to use signals possible More...
Internal Use Only
Definition | `#include <kfileview.h>`
Inherits | QObject (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- void activateDir (const KFileViewItem *i)
- void highlightFile (const KFileViewItem *i)
- void activateFile (const KFileViewItem *i)
- void activateMenu ( const KFileViewItem *i )

#### Signals

- void dirActivated (const KFileViewItem*)
- void fileHighlighted (const KFileViewItem*)
- void fileSelected (const KFileViewItem*)
- void activatedMenu ( const KFileViewItem *i )

## Detailed Description

internal class to make easier to use signals possible

void activateDir (const KFileViewItem *i) | ### activateDir

void highlightFile (const KFileViewItem *i) | ### highlightFile

void activateFile (const KFileViewItem *i) | ### activateFile

void activateMenu ( const KFileViewItem *i ) | ### activateMenu

void dirActivated (const KFileViewItem*) | ### dirActivated

[signal]

void fileHighlighted (const KFileViewItem*) | ### fileHighlighted

[signal]

the item maybe be 0L, indicating that we're in multiselection mode and the selection has changed.

void fileSelected (const KFileViewItem*) | ### fileSelected

[signal]

void activatedMenu ( const KFileViewItem *i ) | ### activatedMenu

[signal]

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:42:26 2001, using kdoc 2.0a53.